%define anolis_release 1

%global flatpak 0

Name: eog
Version: 44.1
Release: %{anolis_release}%{dist}

Summary: Eye of GNOME image viewer

# The GFDL has an "or later version" clause embedded inside the license.
# There is no need to add the + here.
License: GPLv2+ and GFDL
URL:     https://wiki.gnome.org/Apps/EyeOfGnome
Source0: https://download.gnome.org/sources/%{name}/44/%{name}-%{version}.tar.xz

BuildRequires: meson >= 0.58.0
BuildRequires: pkgconfig(exempi-2.0) >= 1.99.5
BuildRequires: pkgconfig(gdk-3.0)
BuildRequires: pkgconfig(gdk-pixbuf-2.0) >= 2.36.5
BuildRequires: pkgconfig(gio-2.0) >= 2.53.4
BuildRequires: pkgconfig(gio-unix-2.0) >= 2.53.4
BuildRequires: pkgconfig(glib-2.0) >= 2.53.4
BuildRequires: pkgconfig(gnome-desktop-3.0) >= 2.91.2
BuildRequires: pkgconfig(gobject-introspection-1.0) >= 0.6.7
BuildRequires: pkgconfig(gsettings-desktop-schemas) >= 42
BuildRequires: pkgconfig(gtk+-3.0) >= 3.24.15
BuildRequires: pkgconfig(lcms2)
BuildRequires: pkgconfig(libexif) >= 0.6.14
BuildRequires: pkgconfig(libhandy-1) >= 1.5.0
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(libpeas-1.0) >= 0.7.4
BuildRequires: pkgconfig(libpeas-gtk-1.0) >= 0.7.4
BuildRequires: pkgconfig(librsvg-2.0) >= 2.44.0
BuildRequires: pkgconfig(shared-mime-info) >= 0.20
BuildRequires: pkgconfig(x11)
%if 0%{?flatpak}
BuildRequires: pkgconfig(libportal) >= 0.5
BuildRequires: pkgconfig(libportal-gtk3)
%endif
BuildRequires: gettext
BuildRequires: gi-docgen
BuildRequires: itstool
BuildRequires: /usr/bin/appstream-util

Requires:      gsettings-desktop-schemas
Requires:      glib2 >= 2.53.4
Requires:      gtk3 >= 3.24.15
Requires:      libhandy >= 1.5.0

# Contains some files from the Independent JPEG Group's implementation of the
# libjpeg library. They are the parts that are used by the jpegtran tool, which
# are unfortunately not provided as part of libjpeg's API. They neither parse
# files (or Exif data) nor allocate memory by themselves. They only work on
# the data and functions provided by libjpeg.
Provides:      bundled(libjpeg)

Obsoletes:     eog-tests < 44.0

%description
The Eye of GNOME image viewer (eog) is the official image viewer for the
GNOME desktop. It can view single image files in a variety of formats, as
well as large image collections.

eog is extensible through a plugin system.

%package devel
Summary: Support for developing plugins for the eog image viewer
Requires: %{name} = %{version}-%{release}
# Because web fonts from upstream are not bundled in the gi-docgen package,
# packages containing documentation generated with gi-docgen should depend on
# this metapackage to ensure the proper system fonts are present.
Recommends: gi-docgen-fonts

%description devel
The Eye of GNOME image viewer (eog) is the official image viewer for the
GNOME desktop. This package allows you to develop plugins that add new
functionality to eog.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson \
       -Dgtk_doc=true \
       -Dinstalled_tests=false \
    %if ! 0%{?flatpak}
       -Dlibportal=false
    %endif
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome
%generate_compatibility_deps

%check
appstream-util validate-relax --nonet %{buildroot}/%{_metainfodir}/eog.appdata.xml

%files -f %{name}.lang
%license COPYING
%dir %{abidir}
%{_bindir}/eog
%{_datadir}/eog
%{_datadir}/applications/org.gnome.eog.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_libdir}/eog
%{abidir}/lib*.dump
%{_datadir}/GConf/gsettings/eog.convert
%{_datadir}/glib-2.0/schemas/org.gnome.eog.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.eog.gschema.xml
%{_metainfodir}/eog.appdata.xml

%files devel
%{_includedir}/eog-3.0
%{_libdir}/pkgconfig/eog.pc
%{_datadir}/gtk-doc/

%files doc
%doc AUTHORS NEWS README.md ChangeLog ChangeLog-2.6 ChangeLog-2.18 
%doc ChangeLog-3.27 ChangeLog.pre-git TODO

%changelog
* Sun Apr 23 2023 Funda Wang <fundawang@yeah.net> - 44.1-1
- New version 44.1

* Wed Apr 5 2023 Funda Wang <fundawang@yeah.net> - 44.0-1
- New version 44.0
- Disable installed-tests for its useless

* Mon Mar 20 2023 yuanhui <yuanhui@linux.alibaba.com> - 44~beta-2
- Rebuild with gnome-desktop3-44~beta

* Thu Mar 16 2023 yuanhui <yuanhui@linux.alibaba.com> - 44~beta-1
- Init package from upstream
